Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039249
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Modules] Advance Warehouse Operationsmajorhave not tried2018-09-07 16:042018-09-28 14:25
ReporterguilleaerView Statuspublic 
Assigned Toguilleaer 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision8c1e30c6aef4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Tomarvintm
Regression introduced in release
Summary

0039249: [AWOFE][PCRVW] Scanning is not working as expected for count

DescriptionScanning is not working as expected for count

1. Scanning a product does not work
2. Having added a product to the list, it just increases quantity when scanning when line is selected
Steps To ReproduceAWO FE
Count window
Select a locator (FOOD001)
Scan a product with certain UPC-EAN
ERROR is shown
Add a product manually using button "Add" with upc 111
Add it to the list
Add another product (product B) manually using button "Add" with upc 122
Add it to the list

select line of product B and scan product A (111)

Qty is not increase
Proposed SolutionWhen scanning and not present -> add Line
When scanning and present
  1st: check if scanned match with selected line. It match (increase one)
  2nd: Iterate to find other line with this UPC
  3th: If found line has reached stock quantity -> Try to find other line under stock qty
  4th: If all lines have reached stock qty -> don't do nothing an show a popup explaining what is happening. (System can't decide what to do)
If user wants to over (qty counted > stock) a certain line (when there are several lines of the same product) line to over should be selected manually
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0106689)
hgbot (developer)
2018-09-11 18:41

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 8c1e30c6aef4ecb20ba8b852d74bfa18084fe885
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 11 18:41:04 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/8c1e30c6aef4ecb20ba8b852d74bfa18084fe885 [^]

Fixed issue 39249: Engine to manage scanning in count window has been reworked

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-inventory-lookup.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-physicalinventory-productselector.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/centralbroker.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---
(0106690)
hgbot (developer)
2018-09-11 18:42

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 54cbad55bf9494fa947b0d3c2d8ba96fb9ac13b4
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 11 18:41:04 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/54cbad55bf9494fa947b0d3c2d8ba96fb9ac13b4 [^]

Fixed issue 39249: Engine to manage scanning in count window has been reworked

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-inventory-lookup.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-physicalinventory-productselector.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/centralbroker.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---
(0106719)
hgbot (developer)
2018-09-12 17:45

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 176f37ab30d98ac456a10450f83ea63328568abf
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Sep 12 17:45:06 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/176f37ab30d98ac456a10450f83ea63328568abf [^]

Related to issue 39249: Fix problem when same product in several results

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/centralbroker.js
---
(0106738)
hgbot (developer)
2018-09-12 23:42

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: c202073422131d5d47e0d935112bac19e84b197b
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Sep 12 17:45:06 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/c202073422131d5d47e0d935112bac19e84b197b [^]

Related to issue 39249: Fix problem when same product in several results

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/centralbroker.js
---
(0106739)
hgbot (developer)
2018-09-12 23:47

Repository: tools/automation/pi-mobile
Changeset: f7e5616b7b1acf151d827e5c6f5a8b6ec0078543
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Sep 12 23:45:33 2018 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/f7e5616b7b1acf151d827e5c6f5a8b6ec0078543 [^]

Related to issue 39249: Adapt tests to count changes

---
M src-test/org/openbravo/test/mobile/awo/tests/Count/AWO_BasicCount.java
M src-test/org/openbravo/test/mobile/awo/tests/Count/AWO_CountMoreThanOneProduct.java
---
(0106784)
hgbot (developer)
2018-09-14 14:59

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 8c1e30c6aef4ecb20ba8b852d74bfa18084fe885
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Tue Sep 11 18:41:04 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/8c1e30c6aef4ecb20ba8b852d74bfa18084fe885 [^]

Fixed issue 39249: Engine to manage scanning in count window has been reworked

---
M src-db/database/sourcedata/AD_MESSAGE.xml
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-inventory-lookup.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/components/obawo-physicalinventory-productselector.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/centralbroker.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---
(0106786)
hgbot (developer)
2018-09-14 14:59

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 176f37ab30d98ac456a10450f83ea63328568abf
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Wed Sep 12 17:45:06 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/176f37ab30d98ac456a10450f83ea63328568abf [^]

Related to issue 39249: Fix problem when same product in several results

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/centralbroker.js
---
(0106877)
hgbot (developer)
2018-09-20 13:10

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: bdf1f2aca692957c63de76e8f6a2c58062341b2b
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Sep 20 13:10:16 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/bdf1f2aca692957c63de76e8f6a2c58062341b2b [^]

Related to issue 39249: small improvement for scanning in count window

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---
(0106879)
hgbot (developer)
2018-09-20 13:12

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 3a09b653d78edd5dde58148a0012ae437f134eca
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Thu Sep 20 13:10:16 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/3a09b653d78edd5dde58148a0012ae437f134eca [^]

Related to issue 39249: small improvement for scanning in count window

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---
(0106953)
hgbot (developer)
2018-09-24 11:35

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: dc55b6034b6e101a475a69015c21ba5649b13837
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 24 11:34:59 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/dc55b6034b6e101a475a69015c21ba5649b13837 [^]

Related to issue 39249: When a product without att is inside a reference, show no stocked item

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/centralbroker.js
---
(0106954)
hgbot (developer)
2018-09-24 11:35

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 8fd417f0dcce5424111425c8e2930735634aa68f
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 24 11:34:59 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/8fd417f0dcce5424111425c8e2930735634aa68f [^]

Related to issue 39249: When a product without att is inside a reference, show no stocked item

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/centralbroker.js
---
(0106958)
hgbot (developer)
2018-09-24 12:30

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: 3ee9ccbca65887a27646f2064b6d95cbbb30d949
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 24 12:29:30 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/3ee9ccbca65887a27646f2064b6d95cbbb30d949 [^]

Related to issue 39249: Fixed UI problem when last item is removed from the list

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---
(0106959)
hgbot (developer)
2018-09-24 12:31

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: e67087455eff2bfc6ae16dfcf67589cee587a392
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 24 12:29:30 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/e67087455eff2bfc6ae16dfcf67589cee587a392 [^]

Related to issue 39249: Fixed UI problem when last item is removed from the list

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---
(0106973)
hgbot (developer)
2018-09-24 18:27

Repository: erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: dc33b14bcb0cb7abc990f75f8ceff963cad29b49
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 24 18:27:30 2018 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/dc33b14bcb0cb7abc990f75f8ceff963cad29b49 [^]

Related to issue 39249: Small adjustments for scanning in count
-> select line when add or scan
-> increase line without validate when just one line with this upc code
-> validate qty

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/pip.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---
(0106974)
hgbot (developer)
2018-09-24 18:28

Repository: retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations
Changeset: bf3c280dcf0555f1d2a978c0ed3fc2cdd91fa301
Author: Guillermo Alvarez de Eulate <guillermo.alvarez <at> openbravo.com>
Date: Mon Sep 24 18:27:30 2018 +0200
URL: http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/bf3c280dcf0555f1d2a978c0ed3fc2cdd91fa301 [^]

Related to issue 39249: Small adjustments for scanning in count
-> select line when add or scan
-> increase line without validate when just one line with this upc code
-> validate qty

---
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/models/pip.js
M web/org.openbravo.warehouse.advancedwarehouseoperations/source/physicalinventorycount/components/obawo-physicalinventorycount-pip.js
---

- Issue History
Date Modified Username Field Change
2018-09-07 16:04 guilleaer New Issue
2018-09-07 16:04 guilleaer Assigned To => dmiguelez
2018-09-07 16:04 guilleaer Assigned To dmiguelez => guilleaer
2018-09-10 17:40 guilleaer Proposed Solution updated
2018-09-10 18:41 Practics Issue Monitored: Practics
2018-09-11 18:41 hgbot Checkin
2018-09-11 18:41 hgbot Note Added: 0106689
2018-09-11 18:41 hgbot Status new => resolved
2018-09-11 18:41 hgbot Resolution open => fixed
2018-09-11 18:41 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/8c1e30c6aef4ecb20ba8b852d74bfa18084fe885 [^]
2018-09-11 18:42 hgbot Checkin
2018-09-11 18:42 hgbot Note Added: 0106690
2018-09-11 18:42 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.warehouse.advancedwarehouseoperations/rev/8c1e30c6aef4ecb20ba8b852d74bfa18084fe885 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/54cbad55bf9494fa947b0d3c2d8ba96fb9ac13b4 [^]
2018-09-12 17:45 hgbot Checkin
2018-09-12 17:45 hgbot Note Added: 0106719
2018-09-12 23:42 hgbot Checkin
2018-09-12 23:42 hgbot Note Added: 0106738
2018-09-12 23:47 hgbot Checkin
2018-09-12 23:47 hgbot Note Added: 0106739
2018-09-14 14:59 hgbot Checkin
2018-09-14 14:59 hgbot Note Added: 0106784
2018-09-14 14:59 hgbot Fixed in SCM revision http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/54cbad55bf9494fa947b0d3c2d8ba96fb9ac13b4 [^] => http://code.openbravo.com/retail/backports/AWO/3.0RR18Q3/org.openbravo.warehouse.advancedwarehouseoperations/rev/8c1e30c6aef4ecb20ba8b852d74bfa18084fe885 [^]
2018-09-14 14:59 hgbot Checkin
2018-09-14 14:59 hgbot Note Added: 0106786
2018-09-17 15:40 guilleaer Note Added: 0106806
2018-09-17 15:40 guilleaer Status resolved => new
2018-09-17 15:40 guilleaer Resolution fixed => open
2018-09-18 12:08 guilleaer Note Deleted: 0106806
2018-09-18 12:08 guilleaer Status new => scheduled
2018-09-18 12:09 guilleaer Status scheduled => resolved
2018-09-18 12:09 guilleaer Resolution open => fixed
2018-09-20 13:10 hgbot Checkin
2018-09-20 13:10 hgbot Note Added: 0106877
2018-09-20 13:12 hgbot Checkin
2018-09-20 13:12 hgbot Note Added: 0106879
2018-09-24 11:35 hgbot Checkin
2018-09-24 11:35 hgbot Note Added: 0106953
2018-09-24 11:35 hgbot Checkin
2018-09-24 11:35 hgbot Note Added: 0106954
2018-09-24 12:30 hgbot Checkin
2018-09-24 12:30 hgbot Note Added: 0106958
2018-09-24 12:31 hgbot Checkin
2018-09-24 12:31 hgbot Note Added: 0106959
2018-09-24 18:27 hgbot Checkin
2018-09-24 18:27 hgbot Note Added: 0106973
2018-09-24 18:28 hgbot Checkin
2018-09-24 18:28 hgbot Note Added: 0106974
2018-09-28 14:25 marvintm Review Assigned To => marvintm
2018-09-28 14:25 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker